=== debian/control ===
Source: gpsd
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Boian Bonev <bbonev@ipacct.com>
Build-Depends:
 asciidoc,
 asciidoctor,
 bc,
 debhelper-compat (= 13),
 dh-apparmor,
 dh-buildinfo,
 dh-exec,
 dh-python,
 docbook-xml,
 docbook-xsl,
 dpkg-dev (>= 1.22.5),
 gir1.2-gtk-3.0,
 libbluetooth-dev [linux-any],
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libglib2.0-dev,
 libncurses-dev,
 libsystemd-dev [linux-any],
 libudev-dev [linux-any],
 libusb-1.0-0-dev,
 lsb-release,
 pkgconf,
 po-debconf,
 pps-tools (>= 0.20120406+g0deb9c7e-2~) [linux-any],
 python3-all-dbg (>= 2.6.6-3),
 python3-all-dev (>= 2.6.6-3),
 python3-cairo,
 python3-gi,
 python3-gi-cairo,
 python3-matplotlib,
 python3-serial,
 qtbase5-dev,
 scons (>= 3.0.1-2~),
 xsltproc,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gpsd.io
Vcs-Browser: https://salsa.debian.org/debian-gps-team/pkg-gpsd/
Vcs-Git: https://salsa.debian.org/debian-gps-team/pkg-gpsd.git

Package: gpsd
Architecture: any
Depends:
 adduser (>= 3.34),
 libgps30t64 (= ${binary:Version}),
 netbase | systemd-sysv,
 python3,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 gpsd-tools,
 udev [linux-any],
Breaks:
 gpsd-clients (<< 3.20-9),
 gpsd-tools (<< 3.20-10),
 ${gpsd:Breaks},
Replaces:
 gpsd-clients (<< 3.20-9),
 gpsd-tools (<< 3.20-10),
Suggests:
 apparmor,
 dbus,
 gpsd-clients,
Conflicts:
 fso-gpsd,
Multi-Arch: foreign
Description: Global Positioning System - daemon
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 With gpsd, multiple GPS client applications can share access to devices
 without contention or loss of data. Also, gpsd responds to queries with a
 format that is substantially easier to parse than the different standards
 emitted by GPS devices.
 .
 This also includes common tools ubxtool and gpsctl for device configuration
 of the local hardware as well as a ntpshmmon to check generated refclock data.

Package: gpsd-clients
Architecture: any
Depends:
 gir1.2-gtk-3.0,
 gpsd-tools (= ${binary:Version}),
 libgps30t64 (= ${binary:Version}),
 python3,
 python3-cairo,
 python3-gi,
 python3-gi-cairo,
 python3-gps,
 python3-matplotlib,
 python3-serial,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 gpsd,
Breaks:
 gpsd-tools (<< 3.20-10),
 python-gps,
Replaces:
 gpsd-tools (<< 3.20-10),
 python-gps,
Description: Global Positioning System - clients
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package contains auxiliary tools and example clients for monitoring,
 testing, latency-profiling, device configuration and simulating gpsd.

Package: gpsd-tools
Architecture: any
Depends:
 libgps30t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gpsd,
Breaks:
 gpsd (<< 3.20-9),
 gpsd-clients (<< 3.20-10),
 python-gps,
Replaces:
 gpsd-clients (<< 3.20-10),
 python-gps,
Description: Global Positioning System - tools
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package contains the most common tools 'gpsmon' and 'cgps' used to
 access a GPS device.

Package: libgps-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libgps30t64 (= ${binary:Version}),
 pkgconf,
 ${misc:Depends},
Description: Global Positioning System - development files
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package contains the header and development files needed to build
 programs and packages using libgps.

Package: libgps30t64
Provides:
 ${t64:Provides},
Replaces:
 libgps30,
Breaks:
 libgps30 (<< ${source:Version}),
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gpsd,
Conflicts:
 fso-gpsd,
Pre-Depends:
 ${misc:Pre-Depends},
Description: Global Positioning System - library
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package provides libgps, a C service library for querying GPS
 devices. It supports both a low-level interface, which communicates
 directly with the device to which the GPS is connected, and a high-level
 interface, which goes through gpsd and is intended for concurrent use by
 several applications.

Package: libqgpsmm-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libgps-dev (= ${binary:Version}),
 libqgpsmm30t64 (= ${binary:Version}),
 pkgconf,
 ${misc:Depends},
Description: Global Positioning System - Qt wrapper for libgps (development)
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package provides the development file for libQgpsmm, the Qt version of
 libgpsmm. It contains pkgconfig and qmake bits to build with the library.

Package: libqgpsmm30t64
Provides:
 ${t64:Provides},
Replaces:
 libqgpsmm30,
Breaks:
 libqgpsmm30 (<< ${source:Version}),
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: Global Positioning System - Qt wrapper for libgps
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package provides libQgpsmm, the Qt version of libgpsmm.
 It is a wrapper over libgps, the service library for querying GPS
 devices. libQgpsmm is available on all platforms which are supported
 by Qt4.

Package: python3-gps
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 gpsd,
Provides:
 ${python3:Provides},
Breaks:
 ${python3:Breaks},
Description: Global Positioning System - Python 3 libraries
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package contains a Python 3 interface to connect to gpsd, together with
 a module providing a controlled testing environment.
