=== debian/tests/control ===
Tests: check-service
Depends:
 coreutils,
 gpsd,
 grep,
 systemd,
 telnet,
Restrictions: needs-root, isolation-container
