=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download-mirror.savannah.gnu.org/releases/gpsd/gpsd-(.*).tar.gz
