## gpsd 3.26.1

=== debian/changelog ===
gpsd (3.26.1-1) unstable; urgency=medium

  [ наб ]
  * Remove dh-buildinfo

  [ Boian Bonev ]
  * Add patch from Alexander Inyukhin
    <shurick@sectorb.msk.ru> (Closes: #1063331)
  * New upstream version 3.26.1
  * Refresh patches and remove the bits applied upstream
  * Remove Rules-Requires-Root: no
  * Complete the t64 transition
  * Update shared library symbols
  * Add BD: ruby-rouge for asciidoctor
  * Update d/watch to v5
  * Bump standards to 4.7.2, no changes

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 04 Nov 2025 21:28:21 +0000

gpsd (3.25-5) unstable; urgency=medium

  * Fix apparmor profile to work on usrmerged systems too (Closes: #1093437)
  * Add build-dep on python3-setuptools (Closes: #1080885)
  * Bump standards to 4.7.0, no changes
  * Remove the unused lintian overrides
  * Update debian copyright year

 -- Boian Bonev <bbonev@ipacct.com>  Sun, 19 Jan 2025 16:06:33 +0000

gpsd (3.25-4) unstable; urgency=medium

  * Mark strlcat/strlcpy as MISSING in .sybmols (Closes: #1071311)

 -- Boian Bonev <bbonev@ipacct.com>  Thu, 23 May 2024 20:36:33 +0000
