=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: gpsd
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Boian Bonev <bbonev@ipacct.com>
+Maintainer: Boian Bonev <bbonev@ipacct.com>
 Build-Depends:
+ debhelper-compat (= 13),
+ dh-apparmor,
+ dh-exec,
+ dh-python,
+ dpkg-dev (>= 1.22.5),
  asciidoc,
  asciidoctor,
  bc,
- debhelper-compat (= 13),
- dh-apparmor,
- dh-buildinfo,
- dh-exec,
- dh-python,
  docbook-xml,
  docbook-xsl,
- dpkg-dev (>= 1.22.5),
  gir1.2-gtk-3.0,
  libbluetooth-dev [linux-any],
  libdbus-1-dev,
@@ -35,11 +33,12 @@
  python3-gi-cairo,
  python3-matplotlib,
  python3-serial,
+ python3-setuptools,
  qtbase5-dev,
+ ruby-rouge,
  scons (>= 3.0.1-2~),
  xsltproc,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://gpsd.io
 Vcs-Browser: https://salsa.debian.org/debian-gps-team/pkg-gpsd/
 Vcs-Git: https://salsa.debian.org/debian-gps-team/pkg-gpsd.git
@@ -48,7 +47,7 @@
 Architecture: any
 Depends:
  adduser (>= 3.34),
- libgps30t64 (= ${binary:Version}),
+ libgps31 (= ${binary:Version}),
  netbase | systemd-sysv,
  python3,
  ${misc:Depends},
@@ -89,7 +88,7 @@
 Depends:
  gir1.2-gtk-3.0,
  gpsd-tools (= ${binary:Version}),
- libgps30t64 (= ${binary:Version}),
+ libgps31 (= ${binary:Version}),
  python3,
  python3-cairo,
  python3-gi,
@@ -119,7 +118,7 @@
 Package: gpsd-tools
 Architecture: any
 Depends:
- libgps30t64 (= ${binary:Version}),
+ libgps31 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
@@ -144,7 +143,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgps30t64 (= ${binary:Version}),
+ libgps31 (= ${binary:Version}),
  pkgconf,
  ${misc:Depends},
 Description: Global Positioning System - development files
@@ -155,13 +154,7 @@
  This package contains the header and development files needed to build
  programs and packages using libgps.
 
-Package: libgps30t64
-Provides:
- ${t64:Provides},
-Replaces:
- libgps30,
-Breaks:
- libgps30 (<< ${source:Version}),
+Package: libgps31
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -191,7 +184,7 @@
 Multi-Arch: same
 Depends:
  libgps-dev (= ${binary:Version}),
- libqgpsmm30t64 (= ${binary:Version}),
+ libqgpsmm31 (= ${binary:Version}),
  pkgconf,
  ${misc:Depends},
 Description: Global Positioning System - Qt wrapper for libgps (development)
@@ -202,13 +195,7 @@
  This package provides the development file for libQgpsmm, the Qt version of
  libgpsmm. It contains pkgconfig and qmake bits to build with the library.
 
-Package: libqgpsmm30t64
-Provides:
- ${t64:Provides},
-Replaces:
- libqgpsmm30,
-Breaks:
- libqgpsmm30 (<< ${source:Version}),
+Package: libqgpsmm31
 Architecture: any
 Section: libs
 Depends:
