=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 LIBGPS_SONAME := $(strip $(shell grep -E '^libgps_version_current' SConscript | sed 's,.*=[^0-9]*\([0-9]*\).*,\1,'))
-LIBGPS_PKG_SUFFIX := $(LIBGPS_SONAME)t64
 
 export QT_SELECT=qt5
 
@@ -18,7 +17,7 @@
 endif
 
 LIBGPS_DEBIAN_FILE_SOURCES := $(strip $(shell ls -1 debian/*LIBGPSSONAME* ))
-LIBGPS_DEBIAN_FILE_TARGETS := $(strip $(shell echo $(LIBGPS_DEBIAN_FILE_SOURCES) | sed 's,LIBGPSSONAME,$(LIBGPS_PKG_SUFFIX),g'))
+LIBGPS_DEBIAN_FILE_TARGETS := $(strip $(shell echo $(LIBGPS_DEBIAN_FILE_SOURCES) | sed 's,LIBGPSSONAME,$(LIBGPS_SONAME),g'))
 
 #python versions
 PYTHON3 := python3
@@ -91,13 +90,13 @@
 
 $(LIBGPS_DEBIAN_FILE_TARGETS): $(LIBGPS_DEBIAN_FILE_SOURCES)
 	for source in $(LIBGPS_DEBIAN_FILE_SOURCES); do \
-		target=$$(echo "$$source" | sed 's,LIBGPSSONAME,$(LIBGPS_PKG_SUFFIX),g') ;\
-		sed 's,LIBGPSSONAME,$(LIBGPS_SONAME),g; s,LIBGPS_PKG_SUFFIX,$(LIBGPS_PKG_SUFFIX),g' "$$source" > "$$target" ;\
+		target=$$(echo "$$source" | sed 's,LIBGPSSONAME,$(LIBGPS_SONAME),g') ;\
+		sed 's,LIBGPSSONAME,$(LIBGPS_SONAME),g' "$$source" > "$$target" ;\
 	done
 
 debian/control: debian/control.in
 		rm -f $@
-		sed 's,LIBGPS_PKG_SUFFIX,$(LIBGPS_PKG_SUFFIX),g' $< > $@
+		sed 's,LIBGPSSONAME,$(LIBGPS_SONAME),g' $< > $@
 		-if which git 1>/dev/null && [ -d .git ]; then \
 			git add debian/control ;\
 			git commit -m 'Updating debian/control from debian/control.in' debian/control ;\
@@ -160,7 +159,6 @@
 		.sconsign.*.dblite \
 		gps/*.pyc \
 		TROUBLESHOOTING \
-		debian/buildinfo.gz \
 		config.log \
 		debian/shlibs.local \
 		leapsecond.pyc \
@@ -188,7 +186,7 @@
 	dh_install
 	# quirk to avoid issues by broken fakeroot misdetecting links as files and
 	# then breaking dh_install -> cp -a fatally
-	ln -s libgps.so.$(LIBGPS_SONAME).0.0 debian/libgps$(LIBGPS_PKG_SUFFIX)/usr/lib/$(DEB_HOST_MULTIARCH)/libgps.so.$(LIBGPS_SONAME)
+	ln -s libgps.so.$(LIBGPS_SONAME).0.0 debian/libgps$(LIBGPS_SONAME)/usr/lib/$(DEB_HOST_MULTIARCH)/libgps.so.$(LIBGPS_SONAME)
 	# these files do not need to be executable
 	chmod -x debian/gpsd-clients/usr/share/doc/gpsd-clients/examples/skyview.php
 	chmod -x debian/$(PACKAGE_PY3)/usr/lib/python3*/*-packages/gps/__init__.py
@@ -223,8 +221,8 @@
 	dh_fixperms  -Xgpsd.hotplug
 	dh_lintian
 ifeq (,$(DEB_BUILD_OPTIONS))
-	dh_makeshlibs -Nlibqgpsmm$(LIBGPS_PKG_SUFFIX) -- -c4
-	dh_makeshlibs -plibqgpsmm$(LIBGPS_PKG_SUFFIX) -- -c1
+	dh_makeshlibs -Nlibqgpsmm$(LIBGPS_SONAME) -- -c4
+	dh_makeshlibs -plibqgpsmm$(LIBGPS_SONAME) -- -c1
 else
 	dh_makeshlibs
 endif
