=== debian/watch ===
Version: 5

Source: https://download-mirror.savannah.gnu.org/releases/gpsd/
Matching-Pattern: gpsd-(.*).tar.[xg]z
Pgpsigurlmangle: s/$/.sig/
