## gpsd 3.27

=== SConstruct ===
--- 
+++ 
@@ -52,7 +52,7 @@
 EnsurePythonVersion(2, 6)
 
 # package version
-gpsd_version = "3.25"
+gpsd_version = "3.27"
 # name 'build' is already taken, put stuff in gpsd-$VERSION
 # it makes tar simple
 variantdir = 'gpsd-' + gpsd_version
