=== debian/changelog ===
gpsd (3.27-1.1ubuntu1) resolute; urgency=medium

  * SECURITY UPDATE: heap OOB write in NMEA2000 PGN 129540 driver
    - debian/patches/CVE-2025-67268.patch: fix skyview buffer overrun in
      drivers/driver_nmea2000.c.
    - CVE-2025-67268
  * SECURITY UPDATE: integer underflow when parsing a NAVCOM packet
    - debian/patches/CVE-2025-67269.patch: fix integer underflow in
      malicious Navcom packet in gpsd/packet.c.
    - CVE-2025-67269

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 Jan 2026 13:32:53 -0500

gpsd (3.27-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Move to unstable

 -- Bastian Germann <bage@debian.org>  Thu, 27 Nov 2025 11:01:50 +0100

gpsd (3.27-1) experimental; urgency=medium

  * New upstream version 3.27

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 25 Nov 2025 20:07:05 +0000
