=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gpsd
 Section: misc
 Priority: optional
-Maintainer: Boian Bonev <bbonev@ipacct.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boian Bonev <bbonev@ipacct.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-apparmor,
@@ -47,7 +48,7 @@
 Architecture: any
 Depends:
  adduser (>= 3.34),
- libgps31 (= ${binary:Version}),
+ libgps32 (= ${binary:Version}),
  netbase | systemd-sysv,
  python3,
  ${misc:Depends},
@@ -88,7 +89,7 @@
 Depends:
  gir1.2-gtk-3.0,
  gpsd-tools (= ${binary:Version}),
- libgps31 (= ${binary:Version}),
+ libgps32 (= ${binary:Version}),
  python3,
  python3-cairo,
  python3-gi,
@@ -118,7 +119,7 @@
 Package: gpsd-tools
 Architecture: any
 Depends:
- libgps31 (= ${binary:Version}),
+ libgps32 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
@@ -143,7 +144,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgps31 (= ${binary:Version}),
+ libgps32 (= ${binary:Version}),
  pkgconf,
  ${misc:Depends},
 Description: Global Positioning System - development files
@@ -154,7 +155,7 @@
  This package contains the header and development files needed to build
  programs and packages using libgps.
 
-Package: libgps31
+Package: libgps32
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -184,7 +185,7 @@
 Multi-Arch: same
 Depends:
  libgps-dev (= ${binary:Version}),
- libqgpsmm31 (= ${binary:Version}),
+ libqgpsmm32 (= ${binary:Version}),
  pkgconf,
  ${misc:Depends},
 Description: Global Positioning System - Qt wrapper for libgps (development)
@@ -195,7 +196,7 @@
  This package provides the development file for libQgpsmm, the Qt version of
  libgpsmm. It contains pkgconfig and qmake bits to build with the library.
 
-Package: libqgpsmm31
+Package: libqgpsmm32
 Architecture: any
 Section: libs
 Depends:
