=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gpsd
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Boian Bonev <bbonev@ipacct.com>
+Maintainer: Boian Bonev <bbonev@ipacct.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-apparmor,
